/************************************************************************/
/*  External variables.							*/
/*									*/
/*	Douglas Neuhauser						*/
/*	Seismological Laboratory					*/
/*	University of California, Berkeley				*/
/*	doug@seismo.berkeley.edu					*/
/*									*/
/************************************************************************/

/*
 * Copyright (c) 1996-2000 The Regents of the University of California.
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for educational, research and non-profit purposes,
 * without fee, and without a written agreement is hereby granted,
 * provided that the above copyright notice, this paragraph and the
 * following three paragraphs appear in all copies.
 * 
 * Permission to incorporate this software into commercial products may
 * be obtained from the Office of Technology Licensing, 2150 Shattuck
 * Avenue, Suite 510, Berkeley, CA  94704.
 * 
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 * INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND
 * ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
 * CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

/*	$Id: externals.h,v 1.6 2000/10/26 13:39:53 doug Exp $ 	*/

#ifndef	EXTERN
#define	EXTERN	extern
#endif	/* EXTERN */

/***************************** External variables   *********************/

/*  Command line information.						*/
/*  Command line options.						*/
EXTERN int	start_flag;		/* starting time specified.	*/
EXTERN int	end_flag;		/* ending time specified.	*/

/*  Command line arguments.						*/
EXTERN char	*cmdname;		/* command name.		*/
EXTERN char	*infile;		/* input file name.		*/
EXTERN int	debug_option;		/* debug options.		*/
EXTERN int	date_fmt;		/* format for printing date.	*/
EXTERN INT_TIME	start_time;		/* starting time for selection.	*/
EXTERN INT_TIME	end_time;		/* ending time for selection.	*/

/*  Misc external info.							*/

EXTERN int	herrno;			/* errno from header routines.	*/
EXTERN FILE	*info;			/* FILE for information output.	*/
extern char	*syntax[];		/* program cmdline syntax info.	*/

/* holdings information.						*/
EXTERN char	*holdings_file;		/* holdings file.		*/
EXTERN char	*holdings_dir;		/* holdings directory.		*/
EXTERN FILE	*hfp;			/* holdings file FILE pointer.	*/
EXTERN int	n_stations;		/* number of stations.		*/
EXTERN char	**p_stations;		/* ptr to list of stations.	*/
EXTERN int	n_channels;		/* number of channels.		*/
EXTERN char	**p_channels;		/* ptr to list of channels.	*/
EXTERN int	n_crejects;		/* number of channel rejects.	*/
EXTERN char	**p_crejects;		/* ptr to list of channel rejects. */
EXTERN int	n_srejects;		/* number of station rejects.	*/
EXTERN char	**p_srejects;		/* ptr to list of station rejects. */
